package minesweeper.event;

/**
 *
 * Defines an object which listens for MineFieldCellEvent.
 *
 */
public interface MineFieldCellListener
  extends java.util.EventListener
{
  /**
   * Invoked when the display of one of the cell has changed.
   *
   * @pre      mfce != null
   */
  public void displayChanged( MineFieldCellEvent mfce );

  /**
   * Invoked when the player adds a new flag.
   *
   * @pre      mfce != null
   */
  public void flagAdded( MineFieldCellEvent mfce );

  /**
   * Invoked when the player removes a flag.
   *
   * @pre      mfce != null
   */
  public void flagRemoved( MineFieldCellEvent mfce );

  /**
   * Invoked when the player stepped on a mine.
   *
   * @pre      mfce != null
   */
  public void steppedOnAMine( MineFieldCellEvent mfce );
}
