package minesweeper.event;

/**
 *
 * Defines an object which listens for MineFieldEvent.
 *
 */
public interface MineFieldListener
  extends java.util.EventListener
{
  /**
   * Invoked when the player adds a new flag.
   *
   * @pre      mfe != null
   */
  public void flagAdded( MineFieldEvent mfe );

  /**
   * Invoked when the player removes a flag.
   *
   * @pre      mfe != null
   */
  public void flagRemoved( MineFieldEvent mfe );

  /**
   * Invoked when the game starts.
   *
   * @pre      mfe != null
   */
  public void gameStarts( MineFieldEvent mfe );

  /**
   * Invoked when the player stepped on a mine.
   *
   * @pre      mfe != null
   */
  public void steppedOnAMine( MineFieldEvent mfe );
}
